<?php
/***********************************************************************

  Copyright (C) 2007  BN (bnmaster@la-bnbox.info)

  This file is part of PunBB.

  PunBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  PunBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/

// Make sure no one attempts to run this script "directly"
if (!defined('PUN'))
	exit;

// Tell admin_loader.php that this is indeed a plugin and that it is loaded
define('PUN_PLUGIN_LOADED', 1);
define('PLUGIN_VERSION', $pun_confi['o_plugile_version']);
define('PLUGIN_URL', 'admin_loader.php?plugin=AP_Plugile.php');

// Load the plugile language files
require PUN_ROOT.'lang/'.$pun_user['language'].'/plugile.php';

// Installation
if (isset($_POST['update']))
{
	$delete_config = array('o_plugile', 'o_plugile_version', 'o_plugile_menu');
		
	foreach($delete_config as $conf_name)
		$db->query('DELETE FROM '.$db->prefix.'config WHERE conf_name = \''.$conf_name.'\' LIMIT 1;') or error(sprintf($lang_ptb_admin['err_delete'],$conf_name), __FILE__, __LINE__, $db->error());
	
	$setup_config = array(
		'o_plugile' => 'Plugile',
		'o_plugile_version' => '1.1',
		'o_plugile_menu' => '1'
		);
		
	while (list($conf_name, $conf_value) = @each($setup_config))
	{
		$db->query('INSERT INTO '.$db->prefix."config (conf_name, conf_value) VALUES('$conf_name', '$conf_value')") or error(sprintf($lang_ptb_admin['err_insert'],$conf_name), __FILE__, __LINE__, $db->error());
	}
	
	// Regenerate the config cache
	require_once PUN_ROOT.'include/cache.php';
	generate_config_cache();

	redirect(PLUGIN_URL, $lang_plugile['update_success']);
}

// Dsinstallation
if (isset($_POST['delete']))
{
	$delete_config = array('o_plugile', 'o_plugile_version', 'o_plugile_menu');
		
	foreach($delete_config as $conf_name)
		$db->query('DELETE FROM '.$db->prefix.'config WHERE conf_name = \''.$conf_name.'\' LIMIT 1;') or error(sprintf($lang_ptb_admin['err_delete'],$conf_name), __FILE__, __LINE__, $db->error());
	
	// Regenerate the config cache
	require_once PUN_ROOT.'include/cache.php';
	generate_config_cache();

	redirect(PLUGIN_URL, $lang_plugile['delete_success']);
}


if (isset($_POST['plugile']))
{
	// Make sure something something was entered
	if (trim($_POST['plugile']) == '')
		message('Vous n\'avez rien rentr !');

	$delete_config = array('o_plugile', 'o_plugile_version', 'o_plugile_menu');
		
	foreach($delete_config as $conf_name)
		$db->query('DELETE FROM '.$db->prefix.'config WHERE conf_name = \''.$conf_name.'\' LIMIT 1;') or error(sprintf($lang_ptb_admin['err_delete'],$conf_name), __FILE__, __LINE__, $db->error());
	
	$setup_config = array(
		'o_plugile' => $_POST['plugile'],
		'o_plugile_version' => '1.1',
		'o_plugile_menu' => $_POST['menu']
		);
		
	while (list($conf_name, $conf_value) = @each($setup_config))
		$db->query('INSERT INTO '.$db->prefix."config (conf_name, conf_value) VALUES('$conf_name', '$conf_value')") or error(sprintf($lang_ptb_admin['err_insert'],$conf_name), __FILE__, __LINE__, $db->error());
	
	// Regenerate the config cache
	require_once PUN_ROOT.'include/cache.php';
	generate_config_cache();

	redirect(PLUGIN_URL, $lang_plugile['update_success']);
}
else
{
	// Display the admin navigation menu
	generate_admin_menu($plugin);

?>
	<div id="exampleplugin" class="blockform">
		<h2><span>Plugile v.<?php echo PLUGIN_VERSION; ?></span></h2>
		<div class="box">
			<div class="inbox">
				<p><?php echo $lang_plugile['plugin_desc'] ?></p>
				<form action="<?php echo PLUGIN_URL; ?>" method="post">
					<p><?php echo $lang_plugile['update_infos'] ?><br />
					<input type="submit" name="update" value="<?php echo $lang_plugile['update'] ?>" />
					<br /><br />
					<?php echo $lang_plugile['delete_infos'] ?><br />
					<input type="submit" name="delete" value="<?php echo $lang_plugile['delete'] ?>" /></p>
				</form>
			</div>
		</div>

		<h2 class="block2"><span><?php echo $lang_plugile['configuration'] ?></span></h2>
		<div class="box">
			<form id="example" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>&amp;foo=bar">
				<p class="submitend"><input type="submit" name="save" value="<?php echo $lang_plugile['save']; ?>" /></p>
				<div class="inform">
					<fieldset>
						<legend><?php echo $lang_plugile['settings'] ?></legend>
						<div class="infldset">
						<table class="aligntop" cellspacing="0">
							<tr>
								<th scope="row"><?php echo $lang_plugile['menu'] ?></th>
								<td>
									<input type="radio" name="menu" value="1"<?php if ($pun_config['o_plugile_menu'] == '1') echo ' checked="checked"' ?> /> <strong><?php echo $lang_plugile['oui'] ?></label>&#160;&#160;&#160;<input type="radio" name="menu" value="0"<?php if ($pun_config['o_plugile_menu'] == '0') echo ' checked="checked"' ?> /> <strong><?php echo $lang_plugile['non'] ?></strong>
								</td>
							</tr>
							<tr>
								<th scope="row"><?php echo $lang_plugile['title'] ?></th>
								<td>
									<input type="text" name="plugile" size="25" tabindex="1" value="<?php echo $pun_config['o_plugile'] ?>" />
								</td>
							</tr>
						</table>
						</div>
					</fieldset>
					<p class="submitend"><input type="submit" name="save" value="<?php echo $lang_plugile['save']; ?>" /></p>
				</div>
			</form>
		</div>
	</div>
<?php

}

// Note that the script just ends here. The footer will be included by admin_loader.php.
