<?php
/***********************************************************************

  Copyright (C) 2007  BN (bnmaster@la-bnbox.info)

  This software is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  This software is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

************************************************************************/

##
##
##  Voici quelques notes intrrssantes pour les aspirants auteurs de plugile :
##
##  1. Si vous voulez afficher un message par lintermdiaire de la fonction 
##     message(), vous devez le faire avant dappeler generate_admin_menu($plugile).
##
##  2. Les plugiles sont chargs par profil.php?plugile=UP_nomplugile.php et ne doivent pas tre termins 
##     (par exemple en appelant exit()). Aprs que le script du plugile ait fini, le 
##     script du chargeur affiche le pied de page, ainsi inutile de vous souciez de cela. 
##     Cependant veuillez noter que terminer un plugile en appelant message() ou 
##     redirect() est trs bien.
##
##  3. Lattribut action de toute balise <forme> et lURL cible pour la fonction 
##     redirect() doit tre plac  la valeur de $_SERVER[REQUEST_URI]. Cette 
##     URL peut cependant tre tendue pour inclure des variables supplmentaires 
##     (comme lajout de &foo=bar dans le plugile exemple).
##
##  4. Pour qu'il soit visible par le membre et les administrateurs et modrateurs, votre fichier doit avoir le prfixe : 
##      UP_ (User Plugile).
##
##  5. Dans le cas d'un UP_, il peut tre important de bien diffrencier la partie visible seulement par le membre (et les 
##      administrateurs et modrateurs) de la partie visible par tous. (ceci grce  des conditions vrifiant l'id ou l'id de 
##      groupe du membre visitant le profil)
##
##  6. Utilisez _ au lieu des espaces dans le nom de fichier.
##
##  7. Tant que les scripts de plugile sont inclus depuis le scripts profil.php 
##     de PunBB, vous avez accs toutes les fonctions et variables globales de PunBB 
##     (par exemple $db, $pun_config, $pun_user etc.).
##
##  8. Faites de votre mieux pour garder laspect et lergonomie de votre interface 
##     utilisateur de plugiles semblable au reste des scripts dadministration. 
##     Nhsitez pas  emprunter le marquage et le code aux scripts de profil pour 
##     lemployer dans vos plugiles.
##
##  9. Les plugiles doivent tres dlivrs sous la licence dutilisation GNU/GPL ou 
##     une licence compatible. Recopiez le prambule GPL (situ en haut des scripts 
##     de PunBB) dans votre script de plugile et changez l e copyright pour quil 
##     corresponde  lauteur du plugile (cest  dire vous).
##
##


// Make sure no one attempts to run this script "directly"
if (!defined('PUN'))
	exit;

// Tell profil.php that this is indeed a plugile and that it is loaded
define('PUN_PLUGIN_LOADED', 1);
define('PLUGIN_URL', 'profile.php?plugin='.$_GET['plugin'].'&amp;id='.$_GET['id']);
define('PLUGIN_NAME', $_GET['plugin']);

//
// The rest is up to you!
//

/***********************************************************************\
 Languages definitions
\***********************************************************************/
$english_array = array(
'err_1'						=> 'You didn\'t enter anything!',
'result'					=> 'Nice job ;) You said: ',
'plugile_name'				=> 'Example',
'plugile_explaination'		=> 'This plugile is useless. But you knew that in the name : &quot;Exemple&quot; ;)<br /> It will be a good place to write about your plugile. How use it, why...<br /><br />',
'plugile_titre'				=> 'Example form',
'plugile_legend'			=> 'Enter your text and click',
'plugile_span'				=> 'Your text.',
'plugile_submit'			=> 'Send',
'go_back'					=> 'Go back'
);
$french_array = array(
'err_1'						=> 'Vous n\'avez rien rentr !',
'result'					=> 'Bon boulot ;) Vous avez dit : ',
'plugile_name'				=> 'Exemple',
'plugile_explaination'		=> 'Ce plugile ne fait rien de bien utile. D\'o le nom &quot;Exemple&quot;.<br /> Ce serait un bon endroit pour parler au sujet de votre plugile. Dcrivez ce qu\'il fait et comment il devrait tre utilis. Soyez bref, mais instructif.<br /><br />',
'plugile_titre'				=> 'Formulaire d\'exemple',
'plugile_legend'			=> 'Saisissez un bout de texte et cliquez "Afficher" !',
'plugile_span'				=> 'Le texte que vous voulez afficher.',
'plugile_submit' 			=> 'Afficher le texte',
'go_back'					=> 'Retour'
);

// Set language
if($pun_user['language'] == 'English')
	$lang = $english_array;
elseif($pun_user['language'] == 'French')
	$lang = $french_array;
	

	// If the "Show text" button was clicked
	if (isset($_POST['show_text']))
	{
		// Make sure something something was entered
		if (trim($_POST['text_to_show']) == '')
			message($lang['err_1']);
			
		generate_profile_menu(PLUGIN_NAME);
		?>
		<div class="block">
			<h2><span>Plugile : <?php echo $lang['plugile_name']; ?></span></h2>
			<div class="box">
				<div class="inbox">
					<p><?php echo $lang['result'].'"'.$_POST['text_to_show'].'"'; ?></p>
					<p><a href="javascript: history.go(-1)"><?php echo $lang['go_back']; ?></a></p>
				</div>
			</div>
		</div>
	<?php

	}
	else	// If not, we show the "Show text" form
	{
		generate_profile_menu(PLUGIN_NAME);
		?>
		<div id="exampleplugile" class="blockform">
			<h2><span><?php echo $lang['plugile_name']; ?></span></h2>
			<div class="box">
				<div class="inbox">
					<p><?php echo $lang['plugile_explaination']; ?></p>
				</div>
			</div>

			<h2 class="block2"><span><?php echo $lang['plugile_titre']; ?></span></h2>
			<div class="box">
				<form id="example" method="post" action="<?php echo PLUGIN_URL; ?>">
					<div class="inform">
						<fieldset>
							<legend><?php echo $lang['plugile_legend']; ?></legend>
							<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row"><input type="submit" name="show_text" value="<?php echo $lang['plugile_submit']; ?>" tabindex="2" /></th>
									<td>
										<input type="text" name="text_to_show" size="25" tabindex="1" />
										<span><?php echo $lang['plugile_span']; ?></span>
									</td>
								</tr>
							</table>
							</div>
						</fieldset>
					</div>
				</form>
			</div>
		</div>
	<?php
	}

// Note that the script just ends here. The footer will be included by profil.php.
